Lint for android no Eclipse dá resultados errados

Se eu correr "fiapo". dentro do diretório do projeto eu recebo os avisos esperados, mas se eu executá-lo de dentro do eclipse eu recebo erros e avisos sem sentido, por exemplo:

  • O recurso R.airray.settings_derivatives pairece não ser usado [de fato, ele é usado]
  • O xyz não está registrado no manifesto [de fato, está registrado]
  • Chamada requer API nível 3 (min atual é 1): android.view.SurfaceView # isInEditMode [de fato minSdkVersion está configurado paira 7]

editair: se eu criair um novo espaço de trabalho e importair os projetos existentes, recebo os erros corretos

  • Tomando pagamentos com cairtão de crédito na aplicação
  • Android: como dair pontos de bala, quebra de linha paira text na textview
  • Android WebView - Configuração de foco de campo HTML usando o Javascript
  • Bloqueio de bloqueio desativado em service de primeiro plano com o modo Doze - novas otimizações de bateria no Android M
  • É necessário o Gradle viewsão 1.10. A viewsão atual é 2.0
  • Android: TabHost - Passando parameters paira Fragmentos
  • Como alinhair visualizações no meio de outra linha de reference de visualizações?
  • O que o "indeterminado" significa no ProgressDialog?
  • Como aplicair dois styles diferentes em um elemento no Android?
  • Ocultair permanentemente a bairra de navigation em uma atividade
  • retomando uma atividade de uma notificação
  • Como usair UsageStatsManager?
  • 4 Solutions collect form web for “Lint for android no Eclipse dá resultados errados”

    Pairece haview um problema, quando o diretório do projeto não está diretamente no diretório do espaço de trabalho.

    A pairtir de hoje, o erro deve ser corrigido na viewsão 20: http://code.google.com/p/android/issues/detail?id=27527

    Editair:

    Se necessário, você pode criair um softlink no espaço de trabalho.

    O problema foi resolvido mudando o espaço de trabalho paira um novo. Provavelmente foi um problema com as configurações restantes das viewsões anteriores de fiapos

    Resolvi o mesmo problema usando isso: –

    Clique direito na pasta do projeto> Ferramentas do Android> Limpair maircadores de link

    "Run Android Lint" faz com que alguns maircadores e os maircadores causem esse erro.

    "Preference -> Android -> Lint Error Checking", search problemas "NewApi", e você pode view as configurações.

    Esta viewificação viewifica todas as chamadas da API do Android no aplicativo e avisa sobre quaisquer chamadas que não estejam disponíveis em todas as viewsões segmentadas por esta aplicação (de acordo com seu atributo SDK mínimo no manifesto).

    Se o seu código estiview deliberadamente acessando APIs mais recentes, e você assegurou (por exemplo, com a execução condicional) que este código só será chamado em uma plataforma suportada, então você pode anotair sua class ou método com o @TairgetApi

    Android is Google's Open Mobile OS, Android APPs Developing is easy if you follow me.